| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Attributes | List of all members
LogsFormat Struct Referencefinal

Holds informations about a log format. More...

`#include <lib.h>`

## Public Attributes
std::string | string
| The logs format string.
std::string | initial
| The initial separator.
std::string | final
| The final separator.
std::vector< std::string > | separators
| The separators in the middle.
std::vector< LogsFormatField > | fields
| The logged fields.
size_t | new_lines
| The number of new lines within the string.

## Detailed Description

Holds informations about a log format.

The documentation for this struct was generated from the following file:

- logdoctor/modules/craplog/modules/lib.h